#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA4,0x0B,0x13,0xE7,0x16,0x74,0x02,0x30,0xA5,0xA0,0x10,0xF1,
		0x98,0xFC,0xE1,0x2C,0x06,0xFE,0xF1,0x64,0x0E,0xEA,0x62,0x1E,
		0x47,0x7D,0xF0,0xDC,0x3A,0xC4,0x27,0x79,0x43,0x69,0xC9,0x12,
		0x3E,0xB3,0xE9,0x5B,0x03,0x10,0xAF,0xDF,0x21,0xF2,0xDB,0xE0,
		0xAF,0x62,0x74,0x8F,0x58,0x5F,0xDA,0x4E,0x8F,0xD5,0x40,0xA0,
		0x00,0xCE,0x71,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
